import teamAdd from './team-add.js';
import teamCard from './teamcard.js';


export default {
    data: function() {
        return {
            allTeam: [],
            teamAEdit: null
        }
    },
    methods: {
        recupTeam: function (team) {
            console.log('team.addTeam', team);
            this.allTeam.push(team);
        },
        editParam: function (team) {
            this.teamAEdit=team
            console.log('lanceEdit')
        },
        updateTeam: function (team) {
            console.log('update')
            for (var i = 0; i < this.allTeam.length; i++) {
                if (this.allTeam[i].id == this.teamAEdit.id) {
                    console.log('update + +')
                    this.allTeam[i].name = team.name
                    this.allTeam[i].description=team.description
                }
            }
        }


    },
    components: {
        teamCard,
        teamAdd
    },
    template: `
        <section>
            <h2>News form</h2>
            <div class="team">
                <teamAdd :teamAEdit="this.teamAEdit" v-on:teamAjoute="recupTeam" v-on:teamModifie="updateTeam"></teamAdd>
            </div>
            <teamCard v-for="team in allTeam"
                      :id="team.id"
                      :name="team.name"
                      :description="team.description"
                      v-on:teamEditer="editParam">
            </teamCard>
        </section>
    `
}
